logo
Video Call
Server API
Stream Mixing and Transcoding APIs
On this page

StopCDNRecord

GET

https://rtc-api.zego.im/

Call this API to stop CDN recording。For related callbacks, please refer to Recording File Generation Callback

Call Frequency Limit
All rooms under the same AppID are limited to 20 times/second

Request

Query Parameters

    Action stringrequired

    Possible values: [StopCDNRecord]

    Interface prototype parameters

    https://rtc-api.zego.im?Action=StopCDNRecord

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    StreamId string[]required

    Possible values: >= 1

    Stream ID list。
    To stop recording "cdn01" and "cdn02" streams at the same time, the requested parameters are: StreamId[]=cdn01 and StreamId[]=cdn02。

    Vendor stringrequired

    Possible values: [Tencent, Ws, Huawei]

    CDN vendor name。

    • Tencent:Tencent Cloud。
    • Ws:Wangsu。
    • Huawei:Huawei Cloud。

Responses

Success
Schema
    Code int32

    The following only lists the return codes related to interface business logic. For complete return codes, please refer to Global Return Codes

    Return CodeDescriptionHandling Suggestion
    0Request successful。-
    2Input parameter error。-
    3Related permissions not activated。Please contact ZEGOCLOUD Technical Support。
    4CDN type mismatch。Please check the parameters。
    5Configuration error。Please contact ZEGOCLOUD Technical Support。
    6Request too frequent。Please try again later。
    7Authentication failed。Please check if the authentication parameters are correct。
    1000Request failed。Please contact ZEGOCLOUD Technical Support。
    Message string

    Operation result description。

    RequestId string

    Request ID

    Data object
    Response data。
    Tencent object[]
    Tencent Cloud return content (returned when Vendor is Tencent)。
  • Array[
  • StreamName string

    Stream name

    RequestId string

    Unique request ID

    Code string

    Error code of the current stream

    Message string

    Current stream error message。

  • ]
  • Ws object
    Wangsu return content (returned when Vendor is Ws)。
    msg object

    Operation result prompt message。

    http_code int32

    Business operation status。

    trace_id string

    Serial number。

    call_time string

    Request initiation time。

    list object[]
    Request task processing result list。
  • Array[
  • task string

    Format of the recording file。

    id string

    Stream name

    http_code int32

    The operation status of this task

    msg string

    The operation result prompt message of this task。

    persistentId string

    The file identifier of this task。

  • ]
  • Huawei object[]
    Huawei Cloud return content (returned when Vendor is Huawei)。
  • Array[
  • StreamName string

    Stream name

    RequestId string

    Unique request ID

    Code int32

    Error code of the current stream recording

    Message string

    Current stream recording error message。

  • ]

Previous

StartCDNRecord

Next

SearchMedia

On this page

Back to top